public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-arcade/cdogs-sdl/
Date: Sun, 12 Feb 2023 08:04:38 +0000 (UTC)	[thread overview]
Message-ID: <1676189027.178ac9cf1bd0d178d65c3268f35c5b6a1e048f6d.ionen@gentoo> (raw)

commit:     178ac9cf1bd0d178d65c3268f35c5b6a1e048f6d
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 12 07:38:19 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Feb 12 08:03:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=178ac9cf

games-arcade/cdogs-sdl: add 1.4.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-arcade/cdogs-sdl/Manifest               |  1 +
 games-arcade/cdogs-sdl/cdogs-sdl-1.4.1.ebuild | 47 +++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/games-arcade/cdogs-sdl/Manifest b/games-arcade/cdogs-sdl/Manifest
index db1e78590cf0..b5293ba7fd2d 100644
--- a/games-arcade/cdogs-sdl/Manifest
+++ b/games-arcade/cdogs-sdl/Manifest
@@ -1 +1,2 @@
 DIST cdogs-sdl-1.4.0.tar.gz 35203975 BLAKE2B 4966b6beacd8b0b83f6a59865a6347bea2ecabbc508317dd41bab286a25d06fe26de0e9cee0591f31c259a56c666734609ea4ce7710d820fcf446b280d6db42f SHA512 31a2802248cb4a16331181fa7c0cbc5b1cd5f85244554f5eccfeb1003a813452d08c6249521b7e9e800e48d636b0e7f8f8d592e54706bfcdf3dab88105ee0f28
+DIST cdogs-sdl-1.4.1.tar.gz 35799934 BLAKE2B 67fe75575c478a3e38a7ba70060dc329c98b1b96912216dbf4a7d71784222485efff645349c2d9db72184947f16dcbd73ba52e61a03ad9b4c341650ab9ce144c SHA512 de8d181fed78d68ebeed44b408210252c616db7aaf80d472ea2ce3981fca8792c0226bb0006af014bc9151e2c1ba1b94708441e4c039ba2648cef3e41b31feda

diff --git a/games-arcade/cdogs-sdl/cdogs-sdl-1.4.1.ebuild b/games-arcade/cdogs-sdl/cdogs-sdl-1.4.1.ebuild
new file mode 100644
index 000000000000..694b57d0eb85
--- /dev/null
+++ b/games-arcade/cdogs-sdl/cdogs-sdl-1.4.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic xdg
+
+DESCRIPTION="Classic overhead run-and-gun game"
+HOMEPAGE="https://cxong.github.io/cdogs-sdl/"
+SRC_URI="https://github.com/cxong/cdogs-sdl/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+ BSD-2 CC-BY-3.0 CC-BY-4.0 CC-BY-SA-3.0 CC0-1.0 WTFPL-2 XMAME"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	media-libs/libsdl2[haptic,opengl]
+	media-libs/sdl2-image[png]
+	media-libs/sdl2-mixer[mp3,vorbis,wav]
+	net-libs/enet:1.3="
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.1.1-cmake.patch
+)
+
+src_configure() {
+	# LTO warnings, bug #858527
+	filter-lto
+
+	local mycmakeargs=(
+		-DCDOGS_DATA_DIR="${EPREFIX}"/usr/share/${PN}/
+		-DBUILD_EDITOR=OFF
+		-DUSE_SHARED_ENET=ON
+	)
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodoc doc/{AUTHORS,original_readme.txt}
+
+	# CREDITS is used at runtime, rest is licenses or duplicates
+	find "${ED}"/usr/share/${PN}/doc -type f ! -name CREDITS -delete || die
+}


             reply	other threads:[~2023-02-12  8:04 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-12  8:04 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10  3:28 [gentoo-commits] repo/gentoo:master commit in: games-arcade/cdogs-sdl/ Ionen Wolkens
2025-03-09  0:51 Ionen Wolkens
2024-12-31 23:51 Ionen Wolkens
2024-12-13 23:39 Ionen Wolkens
2024-04-27 12:11 Ionen Wolkens
2024-04-16  9:45 Ionen Wolkens
2024-03-20  7:17 Ionen Wolkens
2024-02-19  2:09 Ionen Wolkens
2023-09-12 16:15 Ionen Wolkens
2023-08-03 11:58 Ionen Wolkens
2023-05-26 23:16 Ionen Wolkens
2023-05-12  9:02 Ionen Wolkens
2022-11-16 18:57 Ionen Wolkens
2022-07-17 15:39 Sam James
2022-06-16 13:16 Ionen Wolkens
2022-06-14  0:17 Ionen Wolkens
2022-05-03  5:57 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-02 13:11 Ionen Wolkens
2016-05-06  2:50 Michael Sterrett
2016-03-31 17:31 Michael Sterrett
2015-12-18 10:13 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676189027.178ac9cf1bd0d178d65c3268f35c5b6a1e048f6d.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox